← Uz sākumu

It IS possible

2005. gada 24. janvārī, 6 komentāri

Beigu beigās esmu pārkāpis slinkumam un tagadiņās varu lēnām skatīties un pētīt, vai migrēt, kad un kā to darīt. PHP4, PHP5, source.

Diemžēl, PHP5 ir kā CGI, bet tas nekas. Kādu dienu gan jau ka tiks atrasts veids, kā abus PHP sabāzt vienam apacim moduļu veidā.

Attiecīgi, iekš FilesMatch, DirectoryMatch, .htaccess failā, vai jebkurā citā apača pieļautā veidā, rakstām kaut ko līdzīgu šim:

AddHandler php5-script .php
# Sekojošo rindiņu vēlams lietot uzmanīgi
Options +ExecCGI

Protams, ka katras kastes drošības politika (starp citu, jautri ir redzēt to, ka vārdu policy tulko, kā policija:), vai konfigurācijas īpatnības pieļauj dažādas atkāpes un modifikācijas. Bet ideja skaidra.

Palīdzēja jau reiz šajā lapelē minētais ieraksts par tēmu.

Tu atbildi augstāk redzamajam komentāram. Atcelt

Gravatar ulzha

2005. gada 24. janvārī, plkst. 17:32

Nav bijusi tāda gribēšana, bet FMI kur ir tā problēma?

Gravatar ppp

2005. gada 24. janvārī, plkst. 20:36

..uz freebsd ir iespēja likt vairākas jail sistēmas, kur bez problēmām katrā jail sistēmā ieliekam apache/php(4|5), tas viss ir ērti, ātri, vienkārši.

Gravatar mjā

2005. gada 24. janvārī, plkst. 23:09

ne pirmais tāds nesakarā, bet tomēr - kas ar tiem pēdējiem 5 komentāriem?

Gravatar Druu

2005. gada 25. janvārī, plkst. 15:41

Nafig vajag dabūt abus paralēli? Eksistē problēma, kas risinās tikai ar abiem kopā?

Gravatar Delfins

2005. gada 26. janvārī, plkst. 08:46

es par to pashu. nafig ?!

Gravatar Aivis

2005. gada 26. janvārī, plkst. 19:08

Nu ja ir vēl interese, tad vari palasīt nākamos tread'us šajā listē http://archive.lists.bsd.lv/msg00035.html